Loading...
Searching...
No Matches
apr_dbm.h File Reference

APR-UTIL DBM library. More...

`#include "apu.h"`
`#include "apr.h"`
`#include "apr_errno.h"`
`#include "apr_pools.h"`
`#include "apr_file_info.h"`
Include dependency graph for apr_dbm.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | apr_datum_t

## Macros

#define | APR_DBM_READONLY 1
#define | APR_DBM_READWRITE 2
#define | APR_DBM_RWCREATE 3
#define | APR_DBM_RWTRUNC 4

## Typedefs

typedef struct apr_dbm_t | apr_dbm_t

## Functions

apr_status_t | apr_dbm_open_ex (apr_dbm_t **dbm, const char *type, const char *name, apr_int32_t mode, apr_fileperms_t perm, apr_pool_t *cntxt)
apr_status_t | apr_dbm_open (apr_dbm_t **dbm, const char *name, apr_int32_t mode, apr_fileperms_t perm, apr_pool_t *cntxt)
void | apr_dbm_close (apr_dbm_t *dbm)
apr_status_t | apr_dbm_fetch (apr_dbm_t *dbm, apr_datum_t key, apr_datum_t *pvalue)
apr_status_t | apr_dbm_store (apr_dbm_t *dbm, apr_datum_t key, apr_datum_t value)
apr_status_t | apr_dbm_delete (apr_dbm_t *dbm, apr_datum_t key)
int | apr_dbm_exists (apr_dbm_t *dbm, apr_datum_t key)
apr_status_t | apr_dbm_firstkey (apr_dbm_t *dbm, apr_datum_t *pkey)
apr_status_t | apr_dbm_nextkey (apr_dbm_t *dbm, apr_datum_t *pkey)
void | apr_dbm_freedatum (apr_dbm_t *dbm, apr_datum_t data)
char * | apr_dbm_geterror (apr_dbm_t *dbm, int *errcode, char *errbuf, apr_size_t errbufsize)
apr_status_t | apr_dbm_get_usednames_ex (apr_pool_t *pool, const char *type, const char *pathname, const char **used1, const char **used2)
void | apr_dbm_get_usednames (apr_pool_t *pool, const char *pathname, const char **used1, const char **used2)

## Detailed Description

APR-UTIL DBM library.